<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRefVars Method (IEdmBatchRefVars)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchRefVars Interface : GetRefVars Method (IEdmBatchRefVars)

Visual Basic
C#
C++/CLI

ppoVars
  Array of EdmRefVar structures; one structure for each reference variable whose value you want to retrieve

Gets the values of the specified reference variables.

# Syntax

Visual Basic |
--- | ---

    Sub GetRefVars( _
       ByRef ppoVars() As EdmRefVar _
    )

C# |
--- | ---

    void GetRefVars(
       out EdmRefVar[] ppoVars
    )

C++/CLI |
--- | ---

    void GetRefVars(
    &   [Out] array<EdmRefVar>^ ppoVars
    )

#### Parameters

ppoVars
  Array of EdmRefVar structures; one structure for each reference variable whose value you want to retrieve

# Example

See the IEdmBatchRefVars examples.

# Remarks

This method updates the moValue and mhResult members of the EdmRefVar structures. mlParentVersion = 0 gets the values from the latest version you have permission to read.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchRefVars Interface
IEdmBatchRefVars Members
IEdmBatchRefVars::SetRefVars Method ()

# Availability

SOLIDWORKS PDM Professional 2010